aboutsummaryrefslogtreecommitdiffstats
path: root/main/libgsf/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-30 08:51:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-30 08:54:53 +0000
commit5c904717322f8113870abf48cc93c3c8b00ab4e8 (patch)
treee077e5c3afa20630fd6e96db5872f03d622d639e /main/libgsf/APKBUILD
parenta879839450737e3cbdb64415af42347c97ccfa28 (diff)
downloadaports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.gz
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.bz2
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.xz
[all autotools packages]: normalize ./configure
Diffstat (limited to 'main/libgsf/APKBUILD')
-rw-r--r--main/libgsf/APKBUILD8
1 files changed, 6 insertions, 2 deletions
diff --git a/main/libgsf/APKBUILD b/main/libgsf/APKBUILD
index d5c099736a..1673d97334 100644
--- a/main/libgsf/APKBUILD
+++ b/main/libgsf/APKBUILD
@@ -16,13 +16,17 @@ depends_dev="glib-dev bzip2-dev libxml2-dev pkgconfig"
build() {
cd "$srcdir"/$pkgname-$pkgver
sed -i -e 's/gsf-gnome//' -e 's/thumbnailer//' Makefile.* || return 1
- ./configure --prefix=/usr \
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/share/man \
--disable-static \
--without-gnome-vfs \
- --without-bonobo || return 1
+ --without-bonobo \
+ || return 1
make || return 1
}